package es.verdnatura.presentation.view.feature.historicoshelving.model

import es.verdnatura.domain.isoToString


data class ItemShelvingLog(
    var itemFk: Int? = null,
    var longName: String? = null,
    var shelvingFk: String? = null,
    var visible: Int? = null,
    var accion: String? = null,
    var code: String? = null,
    var user: UserNickname
    //Tarea 7168 y 7597
    //Falta crear campos anidados
) {
    var created: String = ""
        get() {
            return field.isoToString(returnOnlyDate = false)
        }

}

data class ItemShelvingSaleDateList(
    var list: List<ItemShelvingLog> = listOf()
)

data class ItemShelvingLogList(
    var list: List<ItemShelvingLog> = listOf()
)

data class UserNickname(
    var id:Int ,
    var nickname: String
)